
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to toni@links2linux.de

# norootforbuild

Name:			ladspa-REV
Summary:		REV LADSPA plugins
Version:		0.3.1
Release:		0.pm.2.3
License:		GPL
Group:			Productivity/Multimedia/Sound/Utilities
Source:			REV-plugins-%{version}.tar.bz2
URL:			http://www.kokkinizita.net/linuxaudio/ladspa/index.html
BuildRoot:		%{_tmppath}/%{name}-%{version}-build
BuildRequires:	gcc-c++
BuildRequires:	ladspa

%description
This reverb is based on gverb by Juhana Sadeharju, but the code
(now C++) is entirely original. I added a second input for stereo
operation, and some code to prevent FP denormalisation.
This is a preliminary release, and this plugin will probably change
a lot in future versions.



%prep
%setup -q -n REV-plugins-%{version}

%{__perl} -p -i -e "s|/usr/lib/ladspa|\\$\(DESTDIR\)%{_libdir}/ladspa|g" Makefile

# use the system version of ladspa.h
%__rm ladspa.h

%build
%__make %{?_smp_mflags} \
	CXXFLAGS="$RPM_OPT_FLAGS -fPIC -DPIC"

%install
%__install -dm 755 %{buildroot}%{_libdir}/ladspa
%makeinstall

%clean
[ -d %{buildroot} -a "%{buildroot}" != "" ] && %__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README
%dir %{_libdir}/ladspa
%{_libdir}/ladspa/*

%changelog
* Sun Sep 16 2007 Toni Graffy <toni@links2linux.de> - 0.3.1-0.pm.1
- splitt-off from ladspa package
